# Returns a list of records with the specified billing_run_id

Returns a list of records with the specified billing_run_id

Endpoint: GET /billingRunActions/{tenantId}/billingRun/{billing_run_id}
Version: v1-2025-04-18
Security: knox-authorizer

## Path parameters:

  - `tenantId` (string, required)
    The tenant

  - `billing_run_id` (string, required)
    The billing_run_id to use to for record lookup

## Query parameters:

  - `fields` (string)
    The fields that you want to retrieve; if omitted, the entire object is returned

  - `exclusiveStartKey` (string)
    If paging, this allows you to return the next set of results

## Response 200 fields (application/json):

  - `Count` (integer)

  - `Items` (array)

  - `Items.billing_run_id` (string, required)
    The billing run ID

  - `Items.date` (string, required)
    The action date

  - `Items.error_message` (string)
    The error message

  - `Items.error_stack` (string)
    A detailed error message with stack trace

  - `Items.failure_notice_id` (string)
    Notice to use when the action fails

  - `Items.id` (string, required)
    The unique, string identifier of this billing run action

  - `Items.last_refresh_date` (string)
    The date this action was last refreshed

  - `Items.membership_expiration_date` (string)
    The membership expiration date

  - `Items.membership_id` (string, required)
    The membership ID on which this action is acting

  - `Items.name` (string, required)
    Name of the membership

  - `Items.order_id` (string)
    The relevant order, if applicable

  - `Items.outcome_of_last_refresh` (string)
    Describes what happened to this action the last time this billing run was refreshed
    Enum: "added", "no change", "removed"

  - `Items.reminder_number` (number)
    The reminder number, if this action is a reminder

  - `Items.status` (string, required)
    The status of this action
    Enum: "completed", "error", "excluded", "expiration date changed", "no longer eligible", "payment failure", "pending", "processing", "processing order"

  - `Items.step_function_execution_arn` (string)
    The step function arn

  - `Items.success_notice_id` (string)
    The notice to use when the action succeeds

  - `Items.sys_bulk_load_at` (string)
    If this record was loaded via bulk, the timestamp when the record was processed

  - `Items.sys_bulk_load_id` (string)
    If this record was loaded via bulk, the ID of the bulk load process

  - `Items.sys_bulk_load_pk` (string)
    If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

  - `Items.sys_bulk_load_record_no` (number)
    If this record was loaded via bulk, the record number in the source file

  - `Items.sys_bulk_load_source_file` (string)
    If this record was loaded via bulk, the source file

  - `Items.sys_calculated_field_error` (string)
    The error associated with the calculated field

  - `Items.sys_calculated_field_errors` (array)

  - `Items.sys_calculated_field_errors.error` (string)

  - `Items.sys_calculated_field_errors.field` (string)

  - `Items.sys_configuration_snapshot_id` (string)
    If a snapshot was restored/applies to this record, the ID of the snapshot

  - `Items.sys_created_at` (string, required)
    The date/time that this record was created, expressed in ISO-8601 date format

  - `Items.sys_created_by_id` (string, required)
    The ID of the user that created this record

  - `Items.sys_deleted_by_id` (string)
    The ID of the user that deleted (or last tried to delete) this object

  - `Items.sys_directive` (string)
    Means for passing directive information into an object processing logic

  - `Items.sys_external_id` (string)
    The ID that a record has from an external system or data import

  - `Items.sys_has_files_in_s3` (boolean)
    If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

  - `Items.sys_last_bulk_data_operation_id` (string)
    If this record was last touched by a bulk data operation, the ID of that operation

  - `Items.sys_last_bulk_data_operation_sys_version` (string)
    If this record was last touched by a bulk data operation, the sys_version at the time of that operation

  - `Items.sys_last_modified_at` (string, required)
    The date/time that this record record was last modified, expressed in ISO-8601 date format

  - `Items.sys_last_modified_by_id` (string, required)
    The ID of the user that last modified this record

  - `Items.sys_last_security_context` (object)
    The security context of the last insert, modify, or delete performed on this item

  - `Items.sys_locked` (boolean)
    If set, this record is locked and cannot be changed via the API

  - `Items.sys_snapshot_base_version` (number)
    The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

  - `Items.sys_version` (number)
    A number representing the version of this record in the database

  - `Items.type` (string, required)
    Enum: "auto renewal order", "auto renewal reminder", "drop", "expiring card reminder", "renewal notice", "renewal order", "renewal reminder"

  - `LastEvaluatedKey` (string)


## Response 400 fields

## Response 401 fields

## Response 403 fields

## Response 404 fields

## Response 429 fields

## Response 500 fields
